Package de.willuhn.jameica.hbci.server

# Class Range.SecondLastMonth

java.lang.Object
de.willuhn.jameica.hbci.server.Range
de.willuhn.jameica.hbci.server.Range.SecondLastMonth

Enclosing class:
  `Range`

public static class Range.SecondLastMonth extends Range
Berechnet den vorletzten Monat.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.hbci.server.Range

`Range.All, Range.Category, Range.CustomRange, Range.Last10Years, Range.Last12Months, Range.Last365Days, Range.Last3Years, Range.Last5Years, Range.LastMonth, Range.LastNinetyDays, Range.LastQuarter, Range.LastSevenDays, Range.LastThirtyDays, Range.LastWeek, Range.LastYear, Range.SecondLastMonth, Range.SecondLastQuarter, Range.SecondLastWeek, Range.SecondLastYear, Range.ThisMonth, Range.ThisQuarter, Range.ThisWeek, Range.ThisYear`

## Constructor Summary

Constructors
Constructor
Description
`SecondLastMonth()`

## Method Summary

Modifier and Type
Method
Description
`Date`
`getEnd()`
Berechnet das End-Datum.
`Date`
`getStart()`
Berechnet das Start-Datum.
`String`
`toString()`

### Methods inherited from class de.willuhn.jameica.hbci.server.Range

`byId, createCalendar, deleteCustomRange, getActiveRanges, getAllRanges, getId, resetActiveRanges, saveCustomRange, setActiveRanges`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SecondLastMonth

public SecondLastMonth()

## Method Details

### getStart

public Date getStart()
Description copied from class: `Range`
Berechnet das Start-Datum.

Specified by:
  `getStart` in class `Range`
Returns:
  das Start-Datum.
See Also:
  - `Range.getStart()`

### getEnd

public Date getEnd()
Description copied from class: `Range`
Berechnet das End-Datum.

Specified by:
  `getEnd` in class `Range`
Returns:
  das End-Datum.
See Also:
  - `Range.getEnd()`

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`